org.eclipse.wst.jsdt.ui

## Class ProjectLibraryRoot

- java.lang.Object
- - org.eclipse.wst.jsdt.ui.ProjectLibraryRoot

    public class ProjectLibraryRoot
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `ProjectLibraryRoot.WorkBenchAdapter`

### Constructor Summary

Constructors
Constructor and Description
`ProjectLibraryRoot(IJavaScriptProject project)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object obj)`
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`java.lang.Object[]` `getChildren()`
`IJavaScriptProject` `getProject()`
`java.lang.String` `getText()`
`boolean` `hasChildren()`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProjectLibraryRoot

    public ProjectLibraryRoot(IJavaScriptProject project)

### Method Detail

#### getProject

    public IJavaScriptProject getProject()

#### getText

    public java.lang.String getText()

#### hasChildren

    public boolean hasChildren()

#### getChildren

    public java.lang.Object[] getChildren()

#### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`